// EM Neo Backup
//
// License
// -------
// This code is provided "as is" with no expressed or implied warranty.
// 
// You may use this code in a non commercial open source product with 
// or without acknowledgement. You may not sell this code or any 
// modification of this code.
//
//
// Copyright (c) 2004 
// http://neomule.sourceforge.net 
// davidxanatos@lycos.at
////////////////////////////////////////////////////////////////////////

// NEO: NB - [NeoBackup] -- Xanatos -->

#pragma once
// PPgModBackup-Dialogfeld

class CPPgBackup : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgBackup)

public:
	CPPgBackup();
	virtual ~CPPgBackup();

// Dialogfelddaten
	enum { IDD = IDD_PPG_BACKUP };

	virtual BOOL OnInitDialog();
	void Localize(void);

	void LoadSettings(void);
	virtual BOOL OnApply();

	afx_msg void OnSettingsChange()		{SetModified();}
	afx_msg void OnBoxesChange()		{SetBoxes(); SetModified();}
	afx_msg void OnBnClickedPart();

	afx_msg void OnBackupNow()	{BackupNow();}
	afx_msg void OnBrowserDir()	{BrowserDir();}
	afx_msg void OnBrowserDir2(){BrowserDir2();}
private:
	void SetBoxes();
	DWORD GetFileTypeList();
	bool TestDirs();

	BOOL SelectDir(TCHAR* outdir, CString titletext);

	void BackupNow();
	void BrowserDir();
	void BrowserDir2();
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung

	DECLARE_MESSAGE_MAP()
};

// NEO: NB END <-- Xanatos --